com.genesyslab.wfm8.API.service.config810

## Class CfgShiftHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config810.CfgShiftHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgShiftHolder
      extends java.lang.Object
      implements java.io.Serializable

  Shift Holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CfgBreakShort>` | `breakInfo`
    `protected int` | `breakInfoNSizeIs`
    `protected java.util.List<CfgBUShort>` | `buInfo`
    `protected int` | `buInfoNSizeIs`
    `protected java.util.List<CfgContractShort>` | `contractInfo`
    `protected int` | `contractInfoNSizeIs`
    `protected java.util.List<CfgMealShort>` | `mealInfo`
    `protected int` | `mealInfoNSizeIs`
    `protected java.util.List<CfgShift>` | `objectArray`
    `protected int` | `objectArrayNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `objectIDArray`
    `protected int` | `objectIDArrayNSizeIs`
    `protected java.util.List<CfgShiftShort>` | `objectShortArray`
    `protected int` | `objectShortArrayNSizeIs`
    `private static long` | `serialVersionUID`
    `protected java.util.List<CfgSiteShort>` | `siteInfo`
    `protected int` | `siteInfoNSizeIs`
    `protected java.util.List<CfgTaskSequenceShort>` | `taskSequenceInfo`
    `protected int` | `taskSequenceInfoNSizeIs`
    `protected long` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgShiftHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CfgBreakShort>` | `getBreakInfo()` Gets the value of the breakInfo property.
    `int` | `getBreakInfoNSizeIs()` Gets the value of the breakInfoNSizeIs property.
    `java.util.List<CfgBUShort>` | `getBUInfo()` Gets the value of the buInfo property.
    `int` | `getBUInfoNSizeIs()` Gets the value of the buInfoNSizeIs property.
    `java.util.List<CfgContractShort>` | `getContractInfo()` Gets the value of the contractInfo property.
    `int` | `getContractInfoNSizeIs()` Gets the value of the contractInfoNSizeIs property.
    `java.util.List<CfgMealShort>` | `getMealInfo()` Gets the value of the mealInfo property.
    `int` | `getMealInfoNSizeIs()` Gets the value of the mealInfoNSizeIs property.
    `java.util.List<CfgShift>` | `getObjectArray()` Gets the value of the objectArray property.
    `int` | `getObjectArrayNSizeIs()` Gets the value of the objectArrayNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getObjectIDArray()` Gets the value of the objectIDArray property.
    `int` | `getObjectIDArrayNSizeIs()` Gets the value of the objectIDArrayNSizeIs property.
    `java.util.List<CfgShiftShort>` | `getObjectShortArray()` Gets the value of the objectShortArray property.
    `int` | `getObjectShortArrayNSizeIs()` Gets the value of the objectShortArrayNSizeIs property.
    `java.util.List<CfgSiteShort>` | `getSiteInfo()` Gets the value of the siteInfo property.
    `int` | `getSiteInfoNSizeIs()` Gets the value of the siteInfoNSizeIs property.
    `java.util.List<CfgTaskSequenceShort>` | `getTaskSequenceInfo()` Gets the value of the taskSequenceInfo property.
    `int` | `getTaskSequenceInfoNSizeIs()` Gets the value of the taskSequenceInfoNSizeIs property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `hashCode()`
    `void` | `setBreakInfo(java.util.List<CfgBreakShort> breakInfo)` Sets the value of the breakInfo property.
    `void` | `setBreakInfoNSizeIs(int value)` Sets the value of the breakInfoNSizeIs property.
    `void` | `setBUInfo(java.util.List<CfgBUShort> buInfo)` Sets the value of the buInfo property.
    `void` | `setBUInfoNSizeIs(int value)` Sets the value of the buInfoNSizeIs property.
    `void` | `setContractInfo(java.util.List<CfgContractShort> contractInfo)` Sets the value of the contractInfo property.
    `void` | `setContractInfoNSizeIs(int value)` Sets the value of the contractInfoNSizeIs property.
    `void` | `setMealInfo(java.util.List<CfgMealShort> mealInfo)` Sets the value of the mealInfo property.
    `void` | `setMealInfoNSizeIs(int value)` Sets the value of the mealInfoNSizeIs property.
    `void` | `setObjectArray(java.util.List<CfgShift> objectArray)` Sets the value of the objectArray property.
    `void` | `setObjectArrayNSizeIs(int value)` Sets the value of the objectArrayNSizeIs property.
    `void` | `setObjectIDArray(java.util.List<java.lang.Integer> objectIDArray)` Sets the value of the objectIDArray property.
    `void` | `setObjectIDArrayNSizeIs(int value)` Sets the value of the objectIDArrayNSizeIs property.
    `void` | `setObjectShortArray(java.util.List<CfgShiftShort> objectShortArray)` Sets the value of the objectShortArray property.
    `void` | `setObjectShortArrayNSizeIs(int value)` Sets the value of the objectShortArrayNSizeIs property.
    `void` | `setSiteInfo(java.util.List<CfgSiteShort> siteInfo)` Sets the value of the siteInfo property.
    `void` | `setSiteInfoNSizeIs(int value)` Sets the value of the siteInfoNSizeIs property.
    `void` | `setTaskSequenceInfo(java.util.List<CfgTaskSequenceShort> taskSequenceInfo)` Sets the value of the taskSequenceInfo property.
    `void` | `setTaskSequenceInfoNSizeIs(int value)` Sets the value of the taskSequenceInfoNSizeIs property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `java.lang.String` | `toString()`
    `CfgShiftHolder` | `withBreakInfo(CfgBreakShort... values)`
    `CfgShiftHolder` | `withBreakInfo(java.util.Collection<CfgBreakShort> values)`
    `CfgShiftHolder` | `withBreakInfoNSizeIs(int value)`
    `CfgShiftHolder` | `withBUInfo(CfgBUShort... values)`
    `CfgShiftHolder` | `withBUInfo(java.util.Collection<CfgBUShort> values)`
    `CfgShiftHolder` | `withBUInfoNSizeIs(int value)`
    `CfgShiftHolder` | `withContractInfo(CfgContractShort... values)`
    `CfgShiftHolder` | `withContractInfo(java.util.Collection<CfgContractShort> values)`
    `CfgShiftHolder` | `withContractInfoNSizeIs(int value)`
    `CfgShiftHolder` | `withMealInfo(CfgMealShort... values)`
    `CfgShiftHolder` | `withMealInfo(java.util.Collection<CfgMealShort> values)`
    `CfgShiftHolder` | `withMealInfoNSizeIs(int value)`
    `CfgShiftHolder` | `withObjectArray(CfgShift... values)`
    `CfgShiftHolder` | `withObjectArray(java.util.Collection<CfgShift> values)`
    `CfgShiftHolder` | `withObjectArrayNSizeIs(int value)`
    `CfgShiftHolder` | `withObjectIDArray(java.util.Collection<java.lang.Integer> values)`
    `CfgShiftHolder` | `withObjectIDArray(java.lang.Integer... values)`
    `CfgShiftHolder` | `withObjectIDArrayNSizeIs(int value)`
    `CfgShiftHolder` | `withObjectShortArray(CfgShiftShort... values)`
    `CfgShiftHolder` | `withObjectShortArray(java.util.Collection<CfgShiftShort> values)`
    `CfgShiftHolder` | `withObjectShortArrayNSizeIs(int value)`
    `CfgShiftHolder` | `withSiteInfo(CfgSiteShort... values)`
    `CfgShiftHolder` | `withSiteInfo(java.util.Collection<CfgSiteShort> values)`
    `CfgShiftHolder` | `withSiteInfoNSizeIs(int value)`
    `CfgShiftHolder` | `withTaskSequenceInfo(CfgTaskSequenceShort... values)`
    `CfgShiftHolder` | `withTaskSequenceInfo(java.util.Collection<CfgTaskSequenceShort> values)`
    `CfgShiftHolder` | `withTaskSequenceInfoNSizeIs(int value)`
    `CfgShiftHolder` | `withTimestamp(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### objectIDArrayNSizeIs

          protected int objectIDArrayNSizeIs

    - #### objectIDArray

          protected java.util.List<java.lang.Integer> objectIDArray

    - #### objectArrayNSizeIs

          protected int objectArrayNSizeIs

    - #### objectArray

          protected java.util.List<CfgShift> objectArray

    - #### objectShortArrayNSizeIs

          protected int objectShortArrayNSizeIs

    - #### objectShortArray

          protected java.util.List<CfgShiftShort> objectShortArray

    - #### contractInfoNSizeIs

          protected int contractInfoNSizeIs

    - #### contractInfo

          protected java.util.List<CfgContractShort> contractInfo

    - #### breakInfoNSizeIs

          protected int breakInfoNSizeIs

    - #### breakInfo

          protected java.util.List<CfgBreakShort> breakInfo

    - #### mealInfoNSizeIs

          protected int mealInfoNSizeIs

    - #### mealInfo

          protected java.util.List<CfgMealShort> mealInfo

    - #### taskSequenceInfoNSizeIs

          protected int taskSequenceInfoNSizeIs

    - #### taskSequenceInfo

          protected java.util.List<CfgTaskSequenceShort> taskSequenceInfo

    - #### siteInfoNSizeIs

          protected int siteInfoNSizeIs

    - #### siteInfo

          protected java.util.List<CfgSiteShort> siteInfo

    - #### buInfoNSizeIs

          protected int buInfoNSizeIs

    - #### buInfo

          protected java.util.List<CfgBUShort> buInfo

    - #### timestamp

          protected long timestamp

  - ### Constructor Detail

    - #### CfgShiftHolder

          public CfgShiftHolder()

  - ### Method Detail

    - #### getObjectIDArrayNSizeIs

          public int getObjectIDArrayNSizeIs()

      Gets the value of the objectIDArrayNSizeIs property.

    - #### setObjectIDArrayNSizeIs

          public void setObjectIDArrayNSizeIs(int value)

      Sets the value of the objectIDArrayNSizeIs property.

    - #### getObjectIDArray

          public java.util.List<java.lang.Integer> getObjectIDArray()

      Gets the value of the objectIDArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectIDArray property.

      For example, to add a new item, do as follows:

              getObjectIDArray().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getObjectArrayNSizeIs

          public int getObjectArrayNSizeIs()

      Gets the value of the objectArrayNSizeIs property.

    - #### setObjectArrayNSizeIs

          public void setObjectArrayNSizeIs(int value)

      Sets the value of the objectArrayNSizeIs property.

    - #### getObjectArray

          public java.util.List<CfgShift> getObjectArray()

      Gets the value of the objectArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectArray property.

      For example, to add a new item, do as follows:

              getObjectArray().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgShift`

    - #### getObjectShortArrayNSizeIs

          public int getObjectShortArrayNSizeIs()

      Gets the value of the objectShortArrayNSizeIs property.

    - #### setObjectShortArrayNSizeIs

          public void setObjectShortArrayNSizeIs(int value)

      Sets the value of the objectShortArrayNSizeIs property.

    - #### getObjectShortArray

          public java.util.List<CfgShiftShort> getObjectShortArray()

      Gets the value of the objectShortArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectShortArray property.

      For example, to add a new item, do as follows:

              getObjectShortArray().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgShiftShort`

    - #### getContractInfoNSizeIs

          public int getContractInfoNSizeIs()

      Gets the value of the contractInfoNSizeIs property.

    - #### setContractInfoNSizeIs

          public void setContractInfoNSizeIs(int value)

      Sets the value of the contractInfoNSizeIs property.

    - #### getContractInfo

          public java.util.List<CfgContractShort> getContractInfo()

      Gets the value of the contractInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the contractInfo property.

      For example, to add a new item, do as follows:

              getContractInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgContractShort`

    - #### getBreakInfoNSizeIs

          public int getBreakInfoNSizeIs()

      Gets the value of the breakInfoNSizeIs property.

    - #### setBreakInfoNSizeIs

          public void setBreakInfoNSizeIs(int value)

      Sets the value of the breakInfoNSizeIs property.

    - #### getBreakInfo

          public java.util.List<CfgBreakShort> getBreakInfo()

      Gets the value of the breakInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the breakInfo property.

      For example, to add a new item, do as follows:

              getBreakInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgBreakShort`

    - #### getMealInfoNSizeIs

          public int getMealInfoNSizeIs()

      Gets the value of the mealInfoNSizeIs property.

    - #### setMealInfoNSizeIs

          public void setMealInfoNSizeIs(int value)

      Sets the value of the mealInfoNSizeIs property.

    - #### getMealInfo

          public java.util.List<CfgMealShort> getMealInfo()

      Gets the value of the mealInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the mealInfo property.

      For example, to add a new item, do as follows:

              getMealInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgMealShort`

    - #### getTaskSequenceInfoNSizeIs

          public int getTaskSequenceInfoNSizeIs()

      Gets the value of the taskSequenceInfoNSizeIs property.

    - #### setTaskSequenceInfoNSizeIs

          public void setTaskSequenceInfoNSizeIs(int value)

      Sets the value of the taskSequenceInfoNSizeIs property.

    - #### getTaskSequenceInfo

          public java.util.List<CfgTaskSequenceShort> getTaskSequenceInfo()

      Gets the value of the taskSequenceInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the taskSequenceInfo property.

      For example, to add a new item, do as follows:

              getTaskSequenceInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgTaskSequenceShort`

    - #### getSiteInfoNSizeIs

          public int getSiteInfoNSizeIs()

      Gets the value of the siteInfoNSizeIs property.

    - #### setSiteInfoNSizeIs

          public void setSiteInfoNSizeIs(int value)

      Sets the value of the siteInfoNSizeIs property.

    - #### getSiteInfo

          public java.util.List<CfgSiteShort> getSiteInfo()

      Gets the value of the siteInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the siteInfo property.

      For example, to add a new item, do as follows:

              getSiteInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgSiteShort`

    - #### getBUInfoNSizeIs

          public int getBUInfoNSizeIs()

      Gets the value of the buInfoNSizeIs property.

    - #### setBUInfoNSizeIs

          public void setBUInfoNSizeIs(int value)

      Sets the value of the buInfoNSizeIs property.

    - #### getBUInfo

          public java.util.List<CfgBUShort> getBUInfo()

      Gets the value of the buInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the buInfo property.

      For example, to add a new item, do as follows:

              getBUInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgBUShort`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withObjectIDArrayNSizeIs

          public CfgShiftHolder withObjectIDArrayNSizeIs(int value)

    - #### withObjectIDArray

          public CfgShiftHolder withObjectIDArray(java.lang.Integer... values)

    - #### withObjectIDArray

          public CfgShiftHolder withObjectIDArray(java.util.Collection<java.lang.Integer> values)

    - #### withObjectArrayNSizeIs

          public CfgShiftHolder withObjectArrayNSizeIs(int value)

    - #### withObjectArray

          public CfgShiftHolder withObjectArray(CfgShift... values)

    - #### withObjectArray

          public CfgShiftHolder withObjectArray(java.util.Collection<CfgShift> values)

    - #### withObjectShortArrayNSizeIs

          public CfgShiftHolder withObjectShortArrayNSizeIs(int value)

    - #### withObjectShortArray

          public CfgShiftHolder withObjectShortArray(CfgShiftShort... values)

    - #### withObjectShortArray

          public CfgShiftHolder withObjectShortArray(java.util.Collection<CfgShiftShort> values)

    - #### withContractInfoNSizeIs

          public CfgShiftHolder withContractInfoNSizeIs(int value)

    - #### withContractInfo

          public CfgShiftHolder withContractInfo(CfgContractShort... values)

    - #### withContractInfo

          public CfgShiftHolder withContractInfo(java.util.Collection<CfgContractShort> values)

    - #### withBreakInfoNSizeIs

          public CfgShiftHolder withBreakInfoNSizeIs(int value)

    - #### withBreakInfo

          public CfgShiftHolder withBreakInfo(CfgBreakShort... values)

    - #### withBreakInfo

          public CfgShiftHolder withBreakInfo(java.util.Collection<CfgBreakShort> values)

    - #### withMealInfoNSizeIs

          public CfgShiftHolder withMealInfoNSizeIs(int value)

    - #### withMealInfo

          public CfgShiftHolder withMealInfo(CfgMealShort... values)

    - #### withMealInfo

          public CfgShiftHolder withMealInfo(java.util.Collection<CfgMealShort> values)

    - #### withTaskSequenceInfoNSizeIs

          public CfgShiftHolder withTaskSequenceInfoNSizeIs(int value)

    - #### withTaskSequenceInfo

          public CfgShiftHolder withTaskSequenceInfo(CfgTaskSequenceShort... values)

    - #### withTaskSequenceInfo

          public CfgShiftHolder withTaskSequenceInfo(java.util.Collection<CfgTaskSequenceShort> values)

    - #### withSiteInfoNSizeIs

          public CfgShiftHolder withSiteInfoNSizeIs(int value)

    - #### withSiteInfo

          public CfgShiftHolder withSiteInfo(CfgSiteShort... values)

    - #### withSiteInfo

          public CfgShiftHolder withSiteInfo(java.util.Collection<CfgSiteShort> values)

    - #### withBUInfoNSizeIs

          public CfgShiftHolder withBUInfoNSizeIs(int value)

    - #### withBUInfo

          public CfgShiftHolder withBUInfo(CfgBUShort... values)

    - #### withBUInfo

          public CfgShiftHolder withBUInfo(java.util.Collection<CfgBUShort> values)

    - #### withTimestamp

          public CfgShiftHolder withTimestamp(long value)

    - #### setObjectIDArray

          public void setObjectIDArray(java.util.List<java.lang.Integer> objectIDArray)

      Sets the value of the objectIDArray property.
      Parameters:
        `objectIDArray` - allowed object is `Integer`

    - #### setObjectArray

          public void setObjectArray(java.util.List<CfgShift> objectArray)

      Sets the value of the objectArray property.
      Parameters:
        `objectArray` - allowed object is `CfgShift`

    - #### setObjectShortArray

          public void setObjectShortArray(java.util.List<CfgShiftShort> objectShortArray)

      Sets the value of the objectShortArray property.
      Parameters:
        `objectShortArray` - allowed object is `CfgShiftShort`

    - #### setContractInfo

          public void setContractInfo(java.util.List<CfgContractShort> contractInfo)

      Sets the value of the contractInfo property.
      Parameters:
        `contractInfo` - allowed object is `CfgContractShort`

    - #### setBreakInfo

          public void setBreakInfo(java.util.List<CfgBreakShort> breakInfo)

      Sets the value of the breakInfo property.
      Parameters:
        `breakInfo` - allowed object is `CfgBreakShort`

    - #### setMealInfo

          public void setMealInfo(java.util.List<CfgMealShort> mealInfo)

      Sets the value of the mealInfo property.
      Parameters:
        `mealInfo` - allowed object is `CfgMealShort`

    - #### setTaskSequenceInfo

          public void setTaskSequenceInfo(java.util.List<CfgTaskSequenceShort> taskSequenceInfo)

      Sets the value of the taskSequenceInfo property.
      Parameters:
        `taskSequenceInfo` - allowed object is `CfgTaskSequenceShort`

    - #### setSiteInfo

          public void setSiteInfo(java.util.List<CfgSiteShort> siteInfo)

      Sets the value of the siteInfo property.
      Parameters:
        `siteInfo` - allowed object is `CfgSiteShort`

    - #### setBUInfo

          public void setBUInfo(java.util.List<CfgBUShort> buInfo)

      Sets the value of the buInfo property.
      Parameters:
        `buInfo` - allowed object is `CfgBUShort`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.